summary refs log tree commit diff
path: root/.config/waybar/module-screenrec.sh
diff options
context:
space:
mode:
Diffstat (limited to '.config/waybar/module-screenrec.sh')
-rwxr-xr-x.config/waybar/module-screenrec.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/.config/waybar/module-screenrec.sh b/.config/waybar/module-screenrec.sh
new file mode 100755
index 0000000..b98733c
--- /dev/null
+++ b/.config/waybar/module-screenrec.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -eu
+[ -n "${DEBUG:-}" ] && set -x
+
+update() {
+	if ! pgrep -x wl-screenrec >/dev/null; then
+		echo '{}'
+	else
+		echo '{"class":"running","alt":"running"}'
+	fi
+}
+
+update